Bug 832068 - Review Request: opus-tools - A set of tools for the opus audio codec
Review Request: opus-tools - A set of tools for the opus audio codec
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Lemenkov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-14 08:40 EDT by Peter Robinson
Modified: 2012-10-05 06:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-26 10:05:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lemenkov: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2012-06-14 08:40:48 EDT
SPEC: http://pbrobinson.fedorapeople.org/opus-tools.spec
SRPM: http://pbrobinson.fedorapeople.org/opus-tools-0.1.2-1.fc18.src.rpm

Description:
The Opus codec is designed for interactive speech and audio transmission over 
the Internet. It is designed by the IETF Codec Working Group and incorporates 
technology from Skype's SILK codec and Xiph.Org's CELT codec.

This is a set of tools for the opus codec.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=4161739
Comment 1 Peter Lemenkov 2012-06-14 10:13:23 EDT
I'll review it.
Comment 2 Peter Lemenkov 2012-06-14 10:24:31 EDT
REVIEW:

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

+ rpmlint is not silent but doesn't reveal any crucial issues:

work ~/Desktop: rpmlint opus-tools-*
opus-tools.src: W: spelling-error Summary(en_US) codec -> codex, code, codes
opus-tools.src: W: spelling-error %description -l en_US codec -> codex, code, codes
opus-tools.src: W: spelling-error %description -l en_US Org's -> Erg's, Ora's, Orr's
opus-tools.x86_64: W: spelling-error Summary(en_US) codec -> codex, code, codes
opus-tools.x86_64: W: spelling-error %description -l en_US codec -> codex, code, codes
opus-tools.x86_64: W: spelling-error %description -l en_US Org's -> Erg's, Ora's, Orr's
3 packages and 0 specfiles checked; 0 errors, 6 warnings.
work ~/Desktop:

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format %{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the Licensing Guidelines.
+ The License field in the package spec file matches the actual license (BSD and GPLv2). Although it was not stated explicitly - which version of GPL is used exactly, I believe we can guess it's GPLv2. It's stated in the sources that opusinfo is licenced under GPL license which text is distributed within the tarball where we can find GPLv2 text => the opusinfo is distributed under GL|PLv2 exactly.
+ The file, containing the text of the license(s) for the package, is included in %doc (COPYING).
+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided in the spec URL.

work ~/Desktop: sha256sum opus-tools-0.1.2.tar.gz*
5d2b99757bcb628bab2611f3ed27af6f35276ce3abc96c0ed4399d6c6463dda5  opus-tools-0.1.2.tar.gz
5d2b99757bcb628bab2611f3ed27af6f35276ce3abc96c0ed4399d6c6463dda5  opus-tools-0.1.2.tar.gz.1
work ~/Desktop: 

+ The package successfully compiles and builds into binary rpms on at least one primary architecture. See koji link above.
+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files in some of the dynamic linker's default paths.
+ The package does NOT bundle copies of system libraries.
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files listings.
+ Permissions on files are set properly.
0 The package DOESN'T have a %clean section, so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the application.
0 No C/C++ header files.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The package doesn't contain library files without a suffix (e.g. libfoo.so).
0 No devel sub-package.
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other packages.
0 At the beginning of %install, the package  does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) so it won't build cleanly on systems with old rpm (EL-4 and EL-5, not sure about EL-6). Beware.
+ All filenames in rpm packages are valid UTF-8.

APPROVED.
Comment 3 Peter Robinson 2012-06-14 10:39:28 EDT
Thanks!

New Package GIT Request
=======================
Package Name: opus-tools
Short Description: A set of tools for the opus audio codec
Owners: pbrobinson
Branches: F-16 F-17
InitialCC:
Comment 4 Gwyn Ciesla 2012-06-14 10:49:25 EDT
Git done (by process-git-requests).
Comment 5 Peter Robinson 2012-10-04 16:52:55 EDT
New Package GIT Request
=======================
Package Name: opus-tools
Short Description: A set of tools for the opus audio codec
Owners: pbrobinson
Branches: F-17 F-16 EL-5 EL-6
InitialCC:
Comment 6 Gwyn Ciesla 2012-10-04 17:10:40 EDT
Already exists, submit a Package Change for new branches.
Comment 7 Peter Robinson 2012-10-05 02:35:38 EDT
Package Change Request
======================
Package Name: opus-tools
New Branches: EL-6 EL-5	
Owners: pbrobinson
Comment 8 Gwyn Ciesla 2012-10-05 06:54:35 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.